%define upstream_name mini-amf

Name:           python-%{upstream_name}
Version:        0.9.1
Release:        %mkrel 6
Summary:        Action Message Format (AMF) serialization and deserialization support for Python
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/Mini-AMF/
Source0:        https://github.com/zackw/mini-amf/archive/v%{version}/%{upstream_name}-%{version}.tar.gz
BuildArch:	noarch
Patch0:         fix-build.patch

%description
Mini-AMF provides Action Message Format (AMF) serialization and
deserialization support for Python, compatible with the Adobe
Flash Player.

%package -n     python3-%{upstream_name}
Summary:        Action Message Format (AMF) serialization and deserialization support for Python
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description -n python3-%{upstream_name}
Mini-AMF provides Action Message Format (AMF) serialization and
deserialization support for Python, compatible with the Adobe
Flash Player.

%prep
%autosetup -p1 -n %{upstream_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{upstream_name}
%{python3_sitelib}/miniamf/
%{python3_sitelib}/Mini_AMF-%{version}-py%{python3_version}.egg-info


%changelog
* Sat Sep 19 2020 joequant <joequant> 0.9.1-6.mga8
+ Revision: 1628808
- fix build

* Sun Feb 16 2020 umeabot <umeabot> 0.9.1-5.mga8
+ Revision: 1534270
- Mageia 8 Mass Rebuild

* Tue Oct 01 2019 wally <wally> 0.9.1-4.mga8
+ Revision: 1448700
- rebuild for python3.8
- drop python2 support
- shorten description

* Wed Jan 09 2019 shlomif <shlomif> 0.9.1-3.mga7
+ Revision: 1353354
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.9.1-2.mga7
+ Revision: 1289190
- Mageia 7 Mass Rebuild

* Sun Aug 05 2018 wally <wally> 0.9.1-1.mga7
+ Revision: 1247899
- imported package python-mini-amf

